Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X POST "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"cards": [{
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service",
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation",
"id": "license-plates-service-123"
},
"entries": [
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
]
},{
"type": "skill_card",
"skill_card_type": "transcript",
"skill_card_title": {
"code": "video-transcription",
"message": "Video Transcription"
},
"skill": {
"type": "service",
"id": "video-transcription-service"
},
"invocation": {
"type": "skill_invocation",
"id": "video-transcription-service-123"
},
"duration": 1000,
"entries": [
{
"text": "Hi John, have I told you about Box recently?",
"appears": [{ "start": 0 }]
},
{
"text": "No Aaron, you have not. Tell me more!",
"appears": [{ "start": 5 }]
}
]
},{
"type": "skill_card",
"skill_card_type": "timeline",
"skill_card_title": {
"code": "face-detection",
"message": "Faces"
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"duration": 1000,
"entries": [
{
"text": "John",
"appears": [{ "start": 0, "end": 5 }, { "start": 10, "end": 15 }],
"image_url": "https://example.com/john.png"
},
{
"text": "Aaron",
"appears": [{ "start": 5, "end": 10 }],
"image_url": "https://example.com/aaron.png"
}
]
},{
"type": "skill_card",
"skill_card_type": "status",
"skill_card_title": {
"code": "hold",
"message": "Please hold..."
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"status": {
"code": "processing",
"message": "We are processing this file right now."
}
}]
}'{
"$canEdit": true,
"$id": "01234500-12f1-1234-aa12-b1d234cb567e",
"$parent": "folder_59449484661,",
"$scope": "enterprise_27335",
"$template": "properties",
"$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
"$typeVersion": 2,
"$version": 1,
"cards": [
{
"type": "skill_card",
"skill_card_type": "keyword",
"skill": {
"type": "service",
"id": "image-recognition-service"
},
"invocation": {
"type": "skill_invocation",
"id": "image-recognition-service-123"
},
"entries": [
{
"text": "keyword1"
}
],
"created_at": "2018-04-13T13:53:23-07:00",
"skill_card_title": {
"message": "Labels",
"code": "labels"
}
}
]
}Applies one or more Box Skills metadata cards to a file.
curl -i -X POST "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"cards": [{
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service",
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation",
"id": "license-plates-service-123"
},
"entries": [
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
]
},{
"type": "skill_card",
"skill_card_type": "transcript",
"skill_card_title": {
"code": "video-transcription",
"message": "Video Transcription"
},
"skill": {
"type": "service",
"id": "video-transcription-service"
},
"invocation": {
"type": "skill_invocation",
"id": "video-transcription-service-123"
},
"duration": 1000,
"entries": [
{
"text": "Hi John, have I told you about Box recently?",
"appears": [{ "start": 0 }]
},
{
"text": "No Aaron, you have not. Tell me more!",
"appears": [{ "start": 5 }]
}
]
},{
"type": "skill_card",
"skill_card_type": "timeline",
"skill_card_title": {
"code": "face-detection",
"message": "Faces"
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"duration": 1000,
"entries": [
{
"text": "John",
"appears": [{ "start": 0, "end": 5 }, { "start": 10, "end": 15 }],
"image_url": "https://example.com/john.png"
},
{
"text": "Aaron",
"appears": [{ "start": 5, "end": 10 }],
"image_url": "https://example.com/aaron.png"
}
]
},{
"type": "skill_card",
"skill_card_type": "status",
"skill_card_title": {
"code": "hold",
"message": "Please hold..."
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"status": {
"code": "processing",
"message": "We are processing this file right now."
}
}]
}'{
"$canEdit": true,
"$id": "01234500-12f1-1234-aa12-b1d234cb567e",
"$parent": "folder_59449484661,",
"$scope": "enterprise_27335",
"$template": "properties",
"$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
"$typeVersion": 2,
"$version": 1,
"cards": [
{
"type": "skill_card",
"skill_card_type": "keyword",
"skill": {
"type": "service",
"id": "image-recognition-service"
},
"invocation": {
"type": "skill_invocation",
"id": "image-recognition-service-123"
},
"entries": [
{
"text": "keyword1"
}
],
"created_at": "2018-04-13T13:53:23-07:00",
"skill_card_title": {
"message": "Labels",
"code": "labels"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier that represents a file.
The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/files/123 the file_id is 123.
A list of Box Skill cards to apply to this file.
A skill card that contains a set of keywords.
Show child attributes
Returns the instance of the template that was applied to the file, including the data that was applied to the template.
The metadata assigned to a using for Box skills.
Whether the user can edit this metadata.
true
A UUID to identify the metadata object.
36"01234500-12f1-1234-aa12-b1d234cb567e"
An ID for the parent folder.
"folder_59449484661,"
An ID for the scope in which this template has been applied.
"enterprise_27335"
The name of the template.
"properties"
A unique identifier for the "type" of this instance. This is an internal system property and should not be used by a client application.
"properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0"
The last-known version of the template of the object. This is an internal system property and should not be used by a client application.
2
The version of the metadata object. Starts at 0 and increases every time a user-defined property is modified.
1
A list of Box Skill cards that have been applied to this file.
A skill card that contains a set of keywords.
Show child attributes
Was this page helpful?